com.google.appengine.api.search

## Class SearchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.appengine.api.search.SearchBaseException
        - - com.google.appengine.api.search.SearchException

- All Implemented Interfaces:
    java.io.Serializable

      public class SearchException
      extends SearchBaseException

  Thrown to indicate that a search service failure occurred while performing a search request.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when processing a search request.
    `SearchException(java.lang.String message)` Constructs an exception when some error occurred in the search service when processing a search request.

  - ### Method Summary

    - ### Methods inherited from class com.google.appengine.api.search.SearchBaseException

      `getOperationResult`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchException

          public SearchException(java.lang.String message)

      Constructs an exception when some error occurred in the search service when processing a search request.
      Parameters:
        `message` - the error detail associated with the failure

    - #### SearchException

          public SearchException(OperationResult operationResult)

      Constructs an exception when some error occurred in the search service when processing a search request.
      Parameters:
        `operationResult` - the error code and message detail associated with the failure